GmapTag (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.taglib.GmapTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class GmapTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.richfaces.taglib.GmapTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class GmapTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`GmapTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setEnableContinuousZoom(java.lang.String __enableContinuousZoom)`
`void` | `setEnableDoubleClickZoom(java.lang.String __enableDoubleClickZoom)`
`void` | `setEnableDragging(java.lang.String __enableDragging)`
`void` | `setEnableInfoWindow(java.lang.String __enableInfoWindow)`
`void` | `setGmapKey(java.lang.String __gmapKey)`
`void` | `setGmapVar(java.lang.String __gmapVar)`
`void` | `setLat(java.lang.String __lat)`
`void` | `setLng(java.lang.String __lng)`
`void` | `setMapType(java.lang.String __mapType)`
`void` | `setOninit(java.lang.String __oninit)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setShowGLargeMapControl(java.lang.String __showGLargeMapControl)`
`void` | `setShowGMapTypeControl(java.lang.String __showGMapTypeControl)`
`void` | `setShowGScaleControl(java.lang.String __showGScaleControl)`
`void` | `setWarningMessage(java.lang.String __warningMessage)`
`void` | `setZoom(java.lang.String __zoom)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GmapTag

    public GmapTag()

Method Detail

### setLat

    public void setLat(java.lang.String __lat)

### setZoom

    public void setZoom(java.lang.String __zoom)

### setShowGLargeMapControl

    public void setShowGLargeMapControl(java.lang.String __showGLargeMapControl)

### setGmapKey

    public void setGmapKey(java.lang.String __gmapKey)

### setShowGScaleControl

    public void setShowGScaleControl(java.lang.String __showGScaleControl)

### setOninit

    public void setOninit(java.lang.String __oninit)

### setEnableDoubleClickZoom

    public void setEnableDoubleClickZoom(java.lang.String __enableDoubleClickZoom)

### setMapType

    public void setMapType(java.lang.String __mapType)

### setEnableInfoWindow

    public void setEnableInfoWindow(java.lang.String __enableInfoWindow)

### setEnableContinuousZoom

    public void setEnableContinuousZoom(java.lang.String __enableContinuousZoom)

### setWarningMessage

    public void setWarningMessage(java.lang.String __warningMessage)

### setGmapVar

    public void setGmapVar(java.lang.String __gmapVar)

### setEnableDragging

    public void setEnableDragging(java.lang.String __enableDragging)

### setShowGMapTypeControl

    public void setShowGMapTypeControl(java.lang.String __showGMapTypeControl)

### setLng

    public void setLng(java.lang.String __lng)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.